Package com.smartgwt.client.types

# Enum Direction

java.lang.Object
java.lang.Enum<Direction>
com.smartgwt.client.types.Direction

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<Direction>`, `Constable`

public enum Direction extends Enum<Direction> implements ValueEnum

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DOWN`
  below
  `LEFT`
  to the left of
  `RIGHT`
  to the right of
  `UP`
  above

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static Direction`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static Direction[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### UP

    public static final Direction UP
    above

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "up".

  - ### DOWN

    public static final Direction DOWN
    below

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "down".

  - ### LEFT

    public static final Direction LEFT
    to the left of

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "left".

  - ### RIGHT

    public static final Direction RIGHT
    to the right of

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "right".

- ## Method Details

  - ### values

    public static Direction[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static Direction valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`